Bug 100757 - Linear solver says 'model is infeasible', when real problem is non-linearity
Summary: Linear solver says 'model is infeasible', when real problem is non-linearity
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Solver
  Show dependency treegraph
 
Reported: 2016-07-04 12:55 UTC by Jan Egil Kristiansen
Modified: 2021-05-01 03:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Simple but non-linear optimization problem. (29.27 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-07-04 12:55 UTC, Jan Egil Kristiansen
Details
Solver status message (81.00 KB, image/png)
2017-10-22 21:07 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Egil Kristiansen 2016-07-04 12:55:20 UTC
Created attachment 126062 [details]
Simple but non-linear optimization problem.

Optimizing a model with the linear solver, but the variables are multiplied with each other, making the model non-linear.

Error message says  'model is infeasible', I think it should rather say that 'model is non-linear'.

(When staring at a feasible solution, the 'infeasible' message is rather confusing.)
Comment 1 Aron Budea 2016-07-05 03:06:43 UTC
Confirmed.
According to specification [1], this text comes from the solver engine, the appropriate one in this case would be "The model is not linear."

[1] https://www.openoffice.org/specs/calc/features/Solver.odt
Comment 2 QA Administrators 2017-09-01 11:17:56 UTC Comment hidden (obsolete)
Comment 3 Thomas Lendo 2017-10-22 21:07:58 UTC
Created attachment 137214 [details]
Solver status message

I tried the attachment and got following status message:
"Process stopped at iteration 338 if 2000.
Process stopped due to stagnation."
Comment 4 Julien Nabet 2018-06-24 20:04:41 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce this.
I got the same result as Thomas, except the number of iterations is slightly different.
Comment 5 Aron Budea 2018-06-24 23:00:44 UTC
Thomas, Julien, did you open Options... in the Solver dialog, and switch to LibreOffice (or LibreOfficeDev) Linear Solver?
Comment 6 Julien Nabet 2018-06-25 18:20:14 UTC
(In reply to Aron Budea from comment #5)
> Thomas, Julien, did you open Options... in the Solver dialog, and switch to
> LibreOffice (or LibreOfficeDev) Linear Solver?

Thank you Aron, I could reproduce the pb.
Comment 7 Julien Nabet 2018-06-25 18:44:05 UTC
It seems "infeasible" may have different reasons (see http://lpsolve.sourceforge.net/5.5/).
CoinMP also uses this expression.
Comment 8 Todor Balabanov 2019-05-01 22:07:26 UTC
I am not sure that linear solvers are capable to detect non-linearity. That is why I do not think that error messages should be changed.
Comment 9 QA Administrators 2021-05-01 03:56:35 UTC
Dear Jan Egil Kristiansen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug